Rygel.MediaDevice Reference Manual

# MediaDevice

## Object Hierarchy:

## Description:

public abstract class MediaDevice : `Object`
Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- protected Plugin plugin { protected set; protected get; }

### Creation methods:

- public MediaDevice ()

### Methods:

- public void add_interface (`string` iface)
  Add a network interface the device should listen on.
- public void remove_interface (`string` iface)
  Remove a previously added network interface from the device.
- public `List`<`string`> get_interfaces ()
  Get a list of the network interfaces the device is currently allowed to use.